> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an audit log entry



## OpenAPI

````yaml /openapi/audit-logs.json get /audit-logs/{id}
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /audit-logs/{id}:
    get:
      tags:
        - Audit Logs
      summary: Retrieve an audit log entry
      operationId: auditLogs.retrieve
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                  resource:
                    type: string
                  operation:
                    type: string
                  resourceId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  actorType:
                    type: string
                  actorId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  ipAddress:
                    anyOf:
                      - type: string
                      - type: 'null'
                  userAgent:
                    anyOf:
                      - type: string
                      - type: 'null'
                  requestId:
                    anyOf:
                      - type: string
                      - type: 'null'
                  changes:
                    anyOf:
                      - type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      - type: 'null'
                  metadata:
                    anyOf:
                      - type: object
                        propertyNames:
                          type: string
                        additionalProperties: {}
                      - type: 'null'
                  createdAt:
                    type: string
                required:
                  - id
                  - resource
                  - operation
                  - resourceId
                  - actorType
                  - actorId
                  - ipAddress
                  - userAgent
                  - requestId
                  - changes
                  - metadata
                  - createdAt
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````